How To Install GNOME 3.12 On Ubuntu GNOME 14.04 Trusty Tahr

Hello Linux Geeksters. Ubuntu 14.04 Trusty Tahr has been released earlier this week, in all the traditional flavors.

As a reminder, Ubuntu GNOME 14.04 Trusty Tahr, powered by a version of Kernel 3.13.9 optimized by Canonical, is using GNOME 3.10 as the default desktop environment.

Despite the fact that GNOME 3.12 has been already available, Canonical preferred GNOME 3.10 to be the default desktop environment Ubuntu Gnome 14.04 LTS, for performance reasons. While the latest KDE versions have been always implemented on Kubuntu systems, Canonical has made a tradition of not using the latest generation of the GNOME desktop on Ubuntu Gnome.

How To Install GNOME 3.12 On Ubuntu GNOME 14.04 Trusty Tahr

In this article I will show you how to install GNOME 3.12 on Ubuntu GNOME 14.04 Trusty Tahr LTS.

If you are using Ubuntu 14.04 with Unity, the installation on GNOME 3.12 will remove a bunch of Unity packages and your system will get broken. So, install GNOME 3.14 only on Ubuntu GNOME 14.04!

To get GNOME 3.12 on your Ubuntu 14.04 Trusty Tahr, you have to add the GNOME3 and the GNOME3 Staging PPA and upgrade your system:

$ sudo add-apt-repository ppa:gnome3-team/gnome3
$ sudo add-apt-repository ppa:gnome3-team/gnome3-staging
$ sudo apt-get update
$ sudo apt-get dist-upgrade

GNOME 3.12 has some new applications like: gnome-weather, gnome-maps, gnome-photos and gnome-music etc, which are not installed by default on Ubuntu GNOME 14.04.

$ sudo apt-get update
$ sudo apt-get install bijiben polari gnome-clocks gnome-weather gnome-maps gnome-music gnome-photos gnome-documents gnome-contacts epiphany-browser gnome-sushi gnome-boxes gnome-shell-extensions

Liked it? Take a second to support Geekster on Patreon!
Tagged with: , , , , , ,
Posted in The Linux and Unix Articles!
3 comments on “How To Install GNOME 3.12 On Ubuntu GNOME 14.04 Trusty Tahr
  1. Eric Jahn says:

    But it’s probably worth mentioning to people that most users on trusty tahr should wait however many more days until 3.12 fully appears in the GNOME3 Stable PPA (ppa:gnome3-team/gnome3), since it’s not ready yet. The staging ppa will always be rolling forward as a buggy development release.

  2. starseed says:

    Canonical is simply too slow.

  3. Muaad says:

    This worked on Xubuntu 14.04 Nicely, thank you 🙂

Leave a Reply

Your email address will not be published. Required fields are marked *

*

Support LinuxG via Patreon
Support LinuxG.net on Patreon!
Subscribe

  

Subscribe to get the latest Linux news and how to guides directly on your e-mail!